<!doctype html>
<html lang="pl" xmlns:th="http://www.w3.org/1999/xhtml">
    <head>
        <meta charset="utf-8">
        <title></title>
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <link href="/css/bootstrap.min.css" rel="stylesheet">
        <link rel="stylesheet" href="/administration_panel.css" type="text/css" />
        <link href="https://fonts.googleapis.com/css2?family=Roboto:wght@100;300;400&display=swap" rel="stylesheet">
        <link href="https://fonts.googleapis.com/css2?family=Parisienne&display=swap" rel="stylesheet">
        <link href="https://fonts.googleapis.com/css2?family=Raleway:wght@200;300;400&display=swap" rel="stylesheet">
    </head>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.12.4/jquery.min.js"></script>
    <body>

        <div id="headerwrap">
            
            <div class="navbar navbar-default navbar-fixed-top" role="navigation">
                <div class="navbar-header">
                    <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
                        <span class="icon-bar"></span>
                        <span class="icon-bar"></span>
                        <span class="icon-bar"></span>
                      </button>
                      <a class="navbar-brand" href="/">
                        <img src="/images/logo.png" alt="Logo" style="height: 20px;">
                     </a>
                </div>
                <div class="navbar-collapse collapse">
                  <ul class="nav navbar-nav navbar-right">
                        <li><a href="/attractions">Kategorie</a></li>
                        <li><a href="/trip_plan">Zaplanuj wycieczkę</a></li>
                        <li><a href="/logout">Wyloguj</a></li>

                  </ul>
                </div>
            </div>
        </div>

        <div id="panel_adm">
            <div class="col-md-10 col-md-offset-1 name">
                <h2>panel administracyjny</h2>
            </div>
            <div class="col-md-10 col-md-offset-1 functions">
                <div class="col-md-3 left">
                    <div class="title">
                        <h4><a href="/admin/users/search">Zarządzanie użytkownikami</a></h4>
                        <h4><a href="/admin/attractions/add">Dodawanie atrakcji</a></h4>
                        <h4><a href="/admin/attractions/search">Edytowanie atrakcji</a></h4>
                        <h4><a href="/admin/locations/add">Dodawanie lokalizacji</a></h4>
                        <h4><a href="/admin/locations/search">Edytowanie lokalizacji</a></h4>
                        <h4><a href="/admin/news/add">Dodawanie informacji</a></h4>
                        <h4><a href="/admin/news/search">Edytowanie informacji</a></h4>
                        <h4><a href="/admin/raport">Generowanie raportu</a></h4>
                    </div>
                </div>
                <div th:switch="${viewType}">
                    <div th:case="users-search" class="col-md-9 center">
                        <div th:replace="admin-panel-fragments/users-search :: search"></div>
                    </div>

                    <div th:case="users-edit" class="col-md-9 center">
                        <div th:replace="admin-panel-fragments/users-edit :: edit"></div>
                    </div>

                    <div th:case="attractions-add" class="col-md-9 center">
                        <div th:replace="admin-panel-fragments/attractions-add :: add"></div>
                    </div>

                    <div th:case="attractions-search" class="col-md-9 center">
                        <div th:replace="admin-panel-fragments/attractions-search :: search"></div>
                    </div>

                    <div th:case="attractions-edit" class="col-md-9 center">
                        <div th:replace="admin-panel-fragments/attractions-edit :: edit"></div>
                    </div>

                    <div th:case="locations-add" class="col-md-9 center">
                        <div th:replace="admin-panel-fragments/locations-add :: add"></div>
                    </div>

                    <div th:case="locations-search" class="col-md-9 center">
                        <div th:replace="admin-panel-fragments/locations-search :: search"></div>
                    </div>

                    <div th:case="locations-edit" class="col-md-9 center">
                        <div th:replace="admin-panel-fragments/locations-edit :: edit"></div>
                    </div>

                    <div th:case="news-add" class="col-md-9 center">
                        <div th:replace="admin-panel-fragments/news-add :: add"></div>
                    </div>

                    <div th:case="news-search" class="col-md-9 center">
                        <div th:replace="admin-panel-fragments/news-search :: search"></div>
                    </div>

                    <div th:case="news-edit" class="col-md-9 center">
                        <div th:replace="admin-panel-fragments/news-edit :: edit"></div>
                    </div>


                </div>
            </div>
        </div>

        <div class="col-md-12 footer">
            <br />
            <h4>Wszelkie prawa zastrzeżone © 2020</h4>
        </div>

        <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js" integrity="sha384-Tc5IQib027qvyjSMfHjOMaLkfuWVxZxUPnCJA7l2mCWNIpG9mGCD8wGNIcPD7Txa" crossorigin="anonymous"></script>
    </body>
</html>